Skip to main content
`Ctrl`+`K`

# STApplyMat

Applies the spectral transformation operator to a matrix, for instance \(Y = (A - \sigma B)^{-1} B X\) in the case of the shift-and-invert transformation and generalized eigenproblem.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STApplyMat(ST st,Mat X,Mat Y)

Collective

## Input Parameters

- st - the spectral transformation context

- X - input matrix

## Output Parameter

- Y - output matrix

## See Also

ST: Spectral Transformation, `STApply()`

## Level

developer

## Location

src/sys/classes/st/interface/stsolve.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages